#!./bin-x86-2.6/bash

enable shopt test [
shopt -s extglob
BASHDIR="${BASH%%/*([^/])}"
HDIR="${BASHDIR%%/*([^/])}"
SDIR="${BASHDIR##/*([^/])}"
SDIRNAME="${SDIR##*/}"
shopt -u extglob

export PATH="${BASHDIR}"
export HOME="${HDIR}"

echo "== BASH: ${BASH}"
echo "== HOME: ${HOME}"
echo "== PATH: ${PATH}"

if [ "${BASH%/*}" = "/bin" -o "${BASH%/*}" = "/usr/bin" ]; then
    echo "Please start script with static shell or from current dir, e.g.:"
    echo "# ./start-2.6.sh"
    exit 1
fi

PS1="${SDIRNAME}/bash \w \\\$ "
exec env -i PATH="${PATH}" HOME="${HOME}" PS1="${PS1}" TERM="${TERM}" bash --noprofile --rcfile "${HDIR}/.bashinit"

