#!/bin/sh
cd src
for file in *.sig *.sign; do 
	gpg --keyserver-options auto-key-retrieve --keyserver x-hkp://pgpkeys.pca.dfn.de "$file" || { echo "==== GPG failed - STOP ========="; exit 1; };
done

sha1sum -c ../../static-sources-checksums.txt
